package dev.shadowsoffire.apotheosis.village.fletching.arrows;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import dev.shadowsoffire.apotheosis.Apoth;
import dev.shadowsoffire.attributeslib.api.ALObjects;
import net.minecraft.network.protocol.Packet;
import net.minecraft.network.protocol.game.ClientGamePacketListener;
import net.minecraft.world.effect.MobEffect;
import net.minecraft.world.effect.MobEffectInstance;
import net.minecraft.world.entity.Entity;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.entity.projectile.Arrow;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.level.ItemLike;
import net.minecraft.world.level.Level;
import net.minecraftforge.network.NetworkHooks;

public class BroadheadArrowEntity extends Arrow {
  public BroadheadArrowEntity(EntityType<? extends Arrow> t, Level world) {
    super(t, world);
  }
  
  public BroadheadArrowEntity(Level world) {
    super((EntityType)Apoth.Entities.BROADHEAD_ARROW.get(), world);
  }
  
  public BroadheadArrowEntity(LivingEntity shooter, Level world) {
    super(world, shooter);
  }
  
  public BroadheadArrowEntity(Level world, double x, double y, double z) {
    super(world, x, y, z);
  }
  
  protected ItemStack m_7941_() {
    return new ItemStack((ItemLike)Apoth.Items.BROADHEAD_ARROW.get());
  }
  
  public Packet<ClientGamePacketListener> m_5654_() {
    return NetworkHooks.getEntitySpawningPacket((Entity)this);
  }
  
  public EntityType<?> m_6095_() {
    return (EntityType)Apoth.Entities.BROADHEAD_ARROW.get();
  }
  
  public int m_36889_() {
    return -1;
  }
  
  protected void m_7761_(LivingEntity living) {
    MobEffect bleeding = (MobEffect)ALObjects.MobEffects.BLEEDING.get();
    MobEffectInstance bleed = living.m_21124_(bleeding);
    if (bleed != null) {
      living.m_7292_(new MobEffectInstance(bleeding, bleed.m_19557_() + 60, bleed.m_19564_() + 1));
    } else {
      living.m_7292_(new MobEffectInstance(bleeding, 300));
    } 
  }
  
  public dev.shadowsoffire.apotheosis.village.fletching.arrows.BroadheadArrowEntity bleed() {
    m_36870_(new MobEffectInstance((MobEffect)ALObjects.MobEffects.BLEEDING.get(), 300));
    return this;
  }
}
